## LOC Position Report indication

LOC Position Report indication

## Functions

QmiIndicationLocPositionReportOutput * | qmi_indication_loc_position_report_output_ref ()
void | qmi_indication_loc_position_report_output_unref ()
gboolean | qmi_indication_loc_position_report_output_get_altitude_assumed ()
gboolean | qmi_indication_loc_position_report_output_get_satellites_used ()
gboolean | qmi_indication_loc_position_report_output_get_session_fix_count ()
gboolean | qmi_indication_loc_position_report_output_get_sensor_data_usage ()
gboolean | qmi_indication_loc_position_report_output_get_time_source ()
gboolean | qmi_indication_loc_position_report_output_get_time_uncertainty ()
gboolean | qmi_indication_loc_position_report_output_get_gps_time ()
gboolean | qmi_indication_loc_position_report_output_get_leap_seconds ()
gboolean | qmi_indication_loc_position_report_output_get_utc_timestamp ()
gboolean | qmi_indication_loc_position_report_output_get_dilution_of_precision ()
gboolean | qmi_indication_loc_position_report_output_get_technology_used ()
gboolean | qmi_indication_loc_position_report_output_get_magnetic_deviation ()
gboolean | qmi_indication_loc_position_report_output_get_heading_uncertainty ()
gboolean | qmi_indication_loc_position_report_output_get_heading ()
gboolean | qmi_indication_loc_position_report_output_get_vertical_speed ()
gboolean | qmi_indication_loc_position_report_output_get_vertical_reliability ()
gboolean | qmi_indication_loc_position_report_output_get_vertical_confidence ()
gboolean | qmi_indication_loc_position_report_output_get_vertical_uncertainty ()
gboolean | qmi_indication_loc_position_report_output_get_altitude_from_sealevel ()
gboolean | qmi_indication_loc_position_report_output_get_altitude_from_ellipsoid ()
gboolean | qmi_indication_loc_position_report_output_get_speed_uncertainty ()
gboolean | qmi_indication_loc_position_report_output_get_horizontal_speed ()
gboolean | qmi_indication_loc_position_report_output_get_horizontal_reliability ()
gboolean | qmi_indication_loc_position_report_output_get_horizontal_confidence ()
gboolean | qmi_indication_loc_position_report_output_get_horizontal_uncertainty_elliptical_azimuth ()
gboolean | qmi_indication_loc_position_report_output_get_horizontal_uncertainty_elliptical_major ()
gboolean | qmi_indication_loc_position_report_output_get_horizontal_uncertainty_elliptical_minor ()
gboolean | qmi_indication_loc_position_report_output_get_horizontal_uncertainty_circular ()
gboolean | qmi_indication_loc_position_report_output_get_longitude ()
gboolean | qmi_indication_loc_position_report_output_get_latitude ()
gboolean | qmi_indication_loc_position_report_output_get_session_id ()
gboolean | qmi_indication_loc_position_report_output_get_session_status ()

## Types and Values

| QmiIndicationLocPositionReportOutput
| QmiIndicationLocPositionReportOutputGpsTime
| QmiIndicationLocPositionReportOutputDilutionOfPrecision

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationLocPositionReportOutput

## Description

## Functions

### qmi_indication_loc_position_report_output_ref ()

    QmiIndicationLocPositionReportOutput *
    qmi_indication_loc_position_report_output_ref
                                   (QmiIndicationLocPositionReportOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_indication_loc_position_report_output_unref ()

    void
    qmi_indication_loc_position_report_output_unref
                                   (QmiIndicationLocPositionReportOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |

Since: 1.22

### qmi_indication_loc_position_report_output_get_altitude_assumed ()

    gboolean
    qmi_indication_loc_position_report_output_get_altitude_assumed
                                   (QmiIndicationLocPositionReportOutput *self,
                                    gboolean *value_altitude_assumed,
                                    GError **error);

Get the 'Altitude Assumed' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_altitude_assumed | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_satellites_used ()

    gboolean
    qmi_indication_loc_position_report_output_get_satellites_used
                                   (QmiIndicationLocPositionReportOutput *self,
                                    GArray **value_satellites_used,
                                    GError **error);

Get the 'Satellites Used' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_satellites_used | a placeholder for the output GArray of guint16 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_session_fix_count ()

    gboolean
    qmi_indication_loc_position_report_output_get_session_fix_count
                                   (QmiIndicationLocPositionReportOutput *self,
                                    guint32 *value_session_fix_count,
                                    GError **error);

Get the 'Session Fix Count' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_session_fix_count | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_sensor_data_usage ()

    gboolean
    qmi_indication_loc_position_report_output_get_sensor_data_usage
                                   (QmiIndicationLocPositionReportOutput *self,
                                    QmiLocSensorDataUsage *value_sensor_data_usage,
                                    GError **error);

Get the 'Sensor Data Usage' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_sensor_data_usage | a placeholder for the output QmiLocSensorDataUsage, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_time_source ()

    gboolean
    qmi_indication_loc_position_report_output_get_time_source
                                   (QmiIndicationLocPositionReportOutput *self,
                                    QmiLocTimeSource *value_time_source,
                                    GError **error);

Get the 'Time Source' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_time_source | a placeholder for the output QmiLocTimeSource, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_time_uncertainty ()

    gboolean
    qmi_indication_loc_position_report_output_get_time_uncertainty
                                   (QmiIndicationLocPositionReportOutput *self,
                                    gfloat *value_time_uncertainty,
                                    GError **error);

Get the 'Time Uncertainty' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_time_uncertainty | a placeholder for the output gfloat, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_gps_time ()

    gboolean
    qmi_indication_loc_position_report_output_get_gps_time
                                   (QmiIndicationLocPositionReportOutput *self,
                                    QmiIndicationLocPositionReportOutputGpsTime *value_gps_time,
                                    GError **error);

Get the 'GPS Time' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_gps_time | a placeholder for the output constant QmiIndicationLocPositionReportOutputGpsTime, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_leap_seconds ()

    gboolean
    qmi_indication_loc_position_report_output_get_leap_seconds
                                   (QmiIndicationLocPositionReportOutput *self,
                                    guint8 *value_leap_seconds,
                                    GError **error);

Get the 'Leap Seconds' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_leap_seconds | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_utc_timestamp ()

    gboolean
    qmi_indication_loc_position_report_output_get_utc_timestamp
                                   (QmiIndicationLocPositionReportOutput *self,
                                    guint64 *value_utc_timestamp,
                                    GError **error);

Get the 'UTC Timestamp' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_utc_timestamp | a placeholder for the output guint64, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_dilution_of_precision ()

    gboolean
    qmi_indication_loc_position_report_output_get_dilution_of_precision
                                   (QmiIndicationLocPositionReportOutput *self,
                                    QmiIndicationLocPositionReportOutputDilutionOfPrecision *value_dilution_of_precision,
                                    GError **error);

Get the 'Dilution of Precision' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_dilution_of_precision | a placeholder for the output constant QmiIndicationLocPositionReportOutputDilutionOfPrecision, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_technology_used ()

    gboolean
    qmi_indication_loc_position_report_output_get_technology_used
                                   (QmiIndicationLocPositionReportOutput *self,
                                    QmiLocTechnologyUsed *value_technology_used,
                                    GError **error);

Get the 'Technology Used' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_technology_used | a placeholder for the output QmiLocTechnologyUsed, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_magnetic_deviation ()

    gboolean
    qmi_indication_loc_position_report_output_get_magnetic_deviation
                                   (QmiIndicationLocPositionReportOutput *self,
                                    gfloat *value_magnetic_deviation,
                                    GError **error);

Get the 'Magnetic Deviation' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_magnetic_deviation | a placeholder for the output gfloat, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_heading_uncertainty ()

    gboolean
    qmi_indication_loc_position_report_output_get_heading_uncertainty
                                   (QmiIndicationLocPositionReportOutput *self,
                                    gfloat *value_heading_uncertainty,
                                    GError **error);

Get the 'Heading Uncertainty' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_heading_uncertainty | a placeholder for the output gfloat, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_heading ()

    gboolean
    qmi_indication_loc_position_report_output_get_heading
                                   (QmiIndicationLocPositionReportOutput *self,
                                    gfloat *value_heading,
                                    GError **error);

Get the 'Heading' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_heading | a placeholder for the output gfloat, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_vertical_speed ()

    gboolean
    qmi_indication_loc_position_report_output_get_vertical_speed
                                   (QmiIndicationLocPositionReportOutput *self,
                                    gfloat *value_vertical_speed,
                                    GError **error);

Get the 'Vertical Speed' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_vertical_speed | a placeholder for the output gfloat, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_vertical_reliability ()

    gboolean
    qmi_indication_loc_position_report_output_get_vertical_reliability
                                   (QmiIndicationLocPositionReportOutput *self,
                                    guint32 *value_vertical_reliability,
                                    GError **error);

Get the 'Vertical Reliability' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_vertical_reliability | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_vertical_confidence ()

    gboolean
    qmi_indication_loc_position_report_output_get_vertical_confidence
                                   (QmiIndicationLocPositionReportOutput *self,
                                    guint8 *value_vertical_confidence,
                                    GError **error);

Get the 'Vertical Confidence' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_vertical_confidence | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_vertical_uncertainty ()

    gboolean
    qmi_indication_loc_position_report_output_get_vertical_uncertainty
                                   (QmiIndicationLocPositionReportOutput *self,
                                    gfloat *value_vertical_uncertainty,
                                    GError **error);

Get the 'Vertical Uncertainty' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_vertical_uncertainty | a placeholder for the output gfloat, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_altitude_from_sealevel ()

    gboolean
    qmi_indication_loc_position_report_output_get_altitude_from_sealevel
                                   (QmiIndicationLocPositionReportOutput *self,
                                    gfloat *value_altitude_from_sealevel,
                                    GError **error);

Get the 'Altitude from Sealevel' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_altitude_from_sealevel | a placeholder for the output gfloat, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_altitude_from_ellipsoid ()

    gboolean
    qmi_indication_loc_position_report_output_get_altitude_from_ellipsoid
                                   (QmiIndicationLocPositionReportOutput *self,
                                    gfloat *value_altitude_from_ellipsoid,
                                    GError **error);

Get the 'Altitude from Ellipsoid' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_altitude_from_ellipsoid | a placeholder for the output gfloat, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_speed_uncertainty ()

    gboolean
    qmi_indication_loc_position_report_output_get_speed_uncertainty
                                   (QmiIndicationLocPositionReportOutput *self,
                                    gfloat *value_speed_uncertainty,
                                    GError **error);

Get the 'Speed Uncertainty' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_speed_uncertainty | a placeholder for the output gfloat, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_horizontal_speed ()

    gboolean
    qmi_indication_loc_position_report_output_get_horizontal_speed
                                   (QmiIndicationLocPositionReportOutput *self,
                                    gfloat *value_horizontal_speed,
                                    GError **error);

Get the 'Horizontal Speed' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_horizontal_speed | a placeholder for the output gfloat, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_horizontal_reliability ()

    gboolean
    qmi_indication_loc_position_report_output_get_horizontal_reliability
                                   (QmiIndicationLocPositionReportOutput *self,
                                    QmiLocReliability *value_horizontal_reliability,
                                    GError **error);

Get the 'Horizontal Reliability' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_horizontal_reliability | a placeholder for the output QmiLocReliability, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_horizontal_confidence ()

    gboolean
    qmi_indication_loc_position_report_output_get_horizontal_confidence
                                   (QmiIndicationLocPositionReportOutput *self,
                                    guint8 *value_horizontal_confidence,
                                    GError **error);

Get the 'Horizontal Confidence' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_horizontal_confidence | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_horizontal_uncertainty_elliptical_azimuth ()

    gboolean
    qmi_indication_loc_position_report_output_get_horizontal_uncertainty_elliptical_azimuth
                                   (QmiIndicationLocPositionReportOutput *self,
                                    gfloat *value_horizontal_uncertainty_elliptical_azimuth,
                                    GError **error);

Get the 'Horizontal Uncertainty Elliptical Azimuth' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_horizontal_uncertainty_elliptical_azimuth | a placeholder for the output gfloat, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_horizontal_uncertainty_elliptical_major ()

    gboolean
    qmi_indication_loc_position_report_output_get_horizontal_uncertainty_elliptical_major
                                   (QmiIndicationLocPositionReportOutput *self,
                                    gfloat *value_horizontal_uncertainty_elliptical_major,
                                    GError **error);

Get the 'Horizontal Uncertainty Elliptical Major' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_horizontal_uncertainty_elliptical_major | a placeholder for the output gfloat, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_horizontal_uncertainty_elliptical_minor ()

    gboolean
    qmi_indication_loc_position_report_output_get_horizontal_uncertainty_elliptical_minor
                                   (QmiIndicationLocPositionReportOutput *self,
                                    gfloat *value_horizontal_uncertainty_elliptical_minor,
                                    GError **error);

Get the 'Horizontal Uncertainty Elliptical Minor' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_horizontal_uncertainty_elliptical_minor | a placeholder for the output gfloat, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_horizontal_uncertainty_circular ()

    gboolean
    qmi_indication_loc_position_report_output_get_horizontal_uncertainty_circular
                                   (QmiIndicationLocPositionReportOutput *self,
                                    gfloat *value_horizontal_uncertainty_circular,
                                    GError **error);

Get the 'Horizontal Uncertainty Circular' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_horizontal_uncertainty_circular | a placeholder for the output gfloat, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_longitude ()

    gboolean
    qmi_indication_loc_position_report_output_get_longitude
                                   (QmiIndicationLocPositionReportOutput *self,
                                    gdouble *value_longitude,
                                    GError **error);

Get the 'Longitude' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_longitude | a placeholder for the output gdouble, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_latitude ()

    gboolean
    qmi_indication_loc_position_report_output_get_latitude
                                   (QmiIndicationLocPositionReportOutput *self,
                                    gdouble *value_latitude,
                                    GError **error);

Get the 'Latitude' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_latitude | a placeholder for the output gdouble, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_session_id ()

    gboolean
    qmi_indication_loc_position_report_output_get_session_id
                                   (QmiIndicationLocPositionReportOutput *self,
                                    guint8 *value_session_id,
                                    GError **error);

Get the 'Session ID' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_session_id | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_position_report_output_get_session_status ()

    gboolean
    qmi_indication_loc_position_report_output_get_session_status
                                   (QmiIndicationLocPositionReportOutput *self,
                                    QmiLocSessionStatus *value_session_status,
                                    GError **error);

Get the 'Session Status' field from `self` .

#### Parameters

self | a QmiIndicationLocPositionReportOutput. |
value_session_status | a placeholder for the output QmiLocSessionStatus, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

## Types and Values

### QmiIndicationLocPositionReportOutput

    typedef struct _QmiIndicationLocPositionReportOutput QmiIndicationLocPositionReportOutput;

The QmiIndicationLocPositionReportOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22

### QmiIndicationLocPositionReportOutputGpsTime

    typedef struct {
        guint16 gps_weeks;
        guint32 gps_time_of_week_milliseconds;
    } QmiIndicationLocPositionReportOutputGpsTime;

A QmiIndicationLocPositionReportOutputGpsTime struct.

#### Members

guint16 `gps_weeks`; | a guint16. |
guint32 `gps_time_of_week_milliseconds`; | a guint32. |

Since: 1.22

### QmiIndicationLocPositionReportOutputDilutionOfPrecision

    typedef struct {
        gfloat position_dilution_of_precision;
        gfloat horizontal_dilution_of_precision;
        gfloat vertical_dilution_of_precision;
    } QmiIndicationLocPositionReportOutputDilutionOfPrecision;

A QmiIndicationLocPositionReportOutputDilutionOfPrecision struct.

#### Members

gfloat `position_dilution_of_precision`; | a gfloat. |
gfloat `horizontal_dilution_of_precision`; | a gfloat. |
gfloat `vertical_dilution_of_precision`; | a gfloat. |

Since: 1.22